> ## Documentation Index
> Fetch the complete documentation index at: https://docs.revolv3.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Validate corporate ACH account

> Validates a **corporate (business) ACH bank account** to ensure it can be used for payment processing and payouts.

This endpoint is commonly used when onboarding business merchants or partners to confirm that their company’s bank account and routing information are valid before linking it to payment flows.

It helps prevent failed transactions due to incorrect or unsupported corporate account details and returns a validation result with status and any detected errors.



## OpenAPI

````yaml /api-reference/swagger.json post /api/account-verification/ach/corporate
openapi: 3.0.4
info:
  title: Revolv3 OpenApi Spec
  description: Spec for Revolv3
  version: 1.29.2
servers:
  - url: https://api-sandbox.revolv3.com
security: []
paths:
  /api/account-verification/ach/corporate:
    post:
      tags:
        - AccountVerification
      summary: Validate corporate ACH account
      description: "Validates a **corporate (business) ACH bank account** to ensure it can be used for payment processing and payouts.\r\n\r\nThis endpoint is commonly used when onboarding business merchants or partners to confirm that their company’s bank account and routing information are valid before linking it to payment flows.\r\n\r\nIt helps prevent failed transactions due to incorrect or unsupported corporate account details and returns a validation result with status and any detected errors."
      requestBody:
        content:
          application/json-patch+json:
            schema:
              $ref: '#/components/schemas/AchPaymentAccountVerificationDto'
            example:
              amount: null
              firstName: null
              lastName: null
              companyName: Company Inc.
              address:
                addressId: null
                addressLine1: 26 River Street
                addressLine2: ''
                city: Cambridge
                state: MA
                postalCode: '02125'
                phoneNumber: 123-456-789
                email: null
                country: US
              ach:
                routingNumber: '123456789'
                accountNumber: '123456789'
                accountType: Checking
          application/json:
            schema:
              $ref: '#/components/schemas/AchPaymentAccountVerificationDto'
            example:
              amount: null
              firstName: null
              lastName: null
              companyName: Company Inc.
              address:
                addressId: null
                addressLine1: 26 River Street
                addressLine2: ''
                city: Cambridge
                state: MA
                postalCode: '02125'
                phoneNumber: 123-456-789
                email: null
                country: US
              ach:
                routingNumber: '123456789'
                accountNumber: '123456789'
                accountType: Checking
          text/json:
            schema:
              $ref: '#/components/schemas/AchPaymentAccountVerificationDto'
            example:
              amount: null
              firstName: null
              lastName: null
              companyName: Company Inc.
              address:
                addressId: null
                addressLine1: 26 River Street
                addressLine2: ''
                city: Cambridge
                state: MA
                postalCode: '02125'
                phoneNumber: 123-456-789
                email: null
                country: US
              ach:
                routingNumber: '123456789'
                accountNumber: '123456789'
                accountType: Checking
          application/*+json:
            schema:
              $ref: '#/components/schemas/AchPaymentAccountVerificationDto'
            example:
              amount: null
              firstName: null
              lastName: null
              companyName: Company Inc.
              address:
                addressId: null
                addressLine1: 26 River Street
                addressLine2: ''
                city: Cambridge
                state: MA
                postalCode: '02125'
                phoneNumber: 123-456-789
                email: null
                country: US
              ach:
                routingNumber: '123456789'
                accountNumber: '123456789'
                accountType: Checking
      responses:
        '200':
          description: The ACH account was successfully verified
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/VerifyAchAccountResponse'
              example:
                isVerified: true
                message: Approved
                responseCode: '000'
            application/json:
              schema:
                $ref: '#/components/schemas/VerifyAchAccountResponse'
              example:
                isVerified: true
                message: Approved
                responseCode: '000'
            text/json:
              schema:
                $ref: '#/components/schemas/VerifyAchAccountResponse'
              example:
                isVerified: true
                message: Approved
                responseCode: '000'
        '400':
          description: >-
            If an invalid field or value is submitted, or if the account number
            is not approved
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/StatusMessageResponse'
              example:
                message: Unable to perform the request action with provided data.
            application/json:
              schema:
                $ref: '#/components/schemas/StatusMessageResponse'
              example:
                message: Unable to perform the request action with provided data.
            text/json:
              schema:
                $ref: '#/components/schemas/StatusMessageResponse'
              example:
                message: Unable to perform the request action with provided data.
        '401':
          description: Unauthorized
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/StatusMessageResponse'
              example:
                message: Attempted to perform an unauthorized operation.
            application/json:
              schema:
                $ref: '#/components/schemas/StatusMessageResponse'
              example:
                message: Attempted to perform an unauthorized operation.
            text/json:
              schema:
                $ref: '#/components/schemas/StatusMessageResponse'
              example:
                message: Attempted to perform an unauthorized operation.
        '404':
          description: Not Found
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/StatusMessageResponse'
              example:
                message: Unable to process this operation.
            application/json:
              schema:
                $ref: '#/components/schemas/StatusMessageResponse'
              example:
                message: Unable to process this operation.
            text/json:
              schema:
                $ref: '#/components/schemas/StatusMessageResponse'
              example:
                message: Unable to process this operation.
      security:
        - XRevolv3Token: []
components:
  schemas:
    AchPaymentAccountVerificationDto:
      required:
        - ach
        - address
      type: object
      properties:
        amount:
          maximum: 10000000
          minimum: 0
          type: number
          format: double
          nullable: true
        firstName:
          maxLength: 25
          minLength: 2
          pattern: '[A-Za-z]'
          type: string
          nullable: true
        lastName:
          maxLength: 25
          minLength: 2
          pattern: '[A-Za-z]'
          type: string
          nullable: true
        companyName:
          maxLength: 100
          minLength: 0
          type: string
          nullable: true
        address:
          $ref: '#/components/schemas/CreateAddressRequestDTO'
        ach:
          $ref: '#/components/schemas/AchDTO'
      additionalProperties: false
    VerifyAchAccountResponse:
      type: object
      properties:
        isVerified:
          type: boolean
        message:
          type: string
          nullable: true
        responseCode:
          type: string
          nullable: true
      additionalProperties: false
    StatusMessageResponse:
      type: object
      properties:
        message:
          type: string
          nullable: true
        errors:
          type: array
          items:
            type: string
          nullable: true
        fluentValidatorErrors:
          type: array
          items:
            $ref: '#/components/schemas/ValidationFailure'
          nullable: true
      additionalProperties: false
    CreateAddressRequestDTO:
      type: object
      properties:
        addressLine1:
          maxLength: 3000
          minLength: 0
          type: string
          description: Address.
          nullable: true
        addressLine2:
          maxLength: 3000
          minLength: 0
          type: string
          description: Supplemental information for the address.
        city:
          maxLength: 3000
          minLength: 0
          type: string
          description: City.
          nullable: true
        state:
          maxLength: 2
          minLength: 0
          type: string
          description: State.
          nullable: true
        postalCode:
          maxLength: 20
          minLength: 2
          type: string
          description: Postal Code.
          nullable: true
        phoneNumber:
          maxLength: 20
          minLength: 7
          pattern: ^(?=.*\d)\+?[0-9\s\-\(\)\.]{7,20}$
          type: string
          description: >-
            The phone number associated with a payment method that is used for
            billing purposes.
        email:
          maxLength: 3000
          minLength: 0
          type: string
          description: The email associated with a billing address.
          format: email
        country:
          maxLength: 2
          minLength: 0
          type: string
          description: >-
            The input must be a valid Alpha2 code, Alpha3 code, UN code, or full
            country name.
        addressId:
          maximum: 1000000000
          minimum: 1
          type: integer
          description: The unique identifier of the address.
          format: int64
      additionalProperties: false
    AchDTO:
      required:
        - accountNumber
        - routingNumber
      type: object
      properties:
        routingNumber:
          maxLength: 9
          minLength: 9
          pattern: ^[0-9]{9}$
          type: string
          description: "**Conditional**: the routing number is required if the ACH payment method type is supplied in the request.\r\n\r\nThe 9-digit ACH routing number of the account."
        accountNumber:
          maxLength: 17
          minLength: 4
          pattern: ^[0-9]{4,17}$
          type: string
          description: "**Conditional**: the account number is required if the ACH payment method type is supplied in the request.\r\nThe length should be between 4 and 17 characters.\r\n\r\nThe US bank account number from which the payment will be debited."
        accountType:
          maxLength: 20
          type: string
          description: "**Conditional**: the account type is required if the ACH payment method type is supplied in the request.\r\n\r\nBank account type. Allowed values: Checking, Savings. Case-insensitive."
      additionalProperties: false
    ValidationFailure:
      type: object
      properties:
        propertyName:
          type: string
          nullable: true
        errorMessage:
          type: string
          nullable: true
        attemptedValue:
          nullable: true
        customState:
          nullable: true
        severity:
          $ref: '#/components/schemas/Severity'
        errorCode:
          type: string
          nullable: true
        formattedMessagePlaceholderValues:
          type: object
          additionalProperties:
            nullable: true
          nullable: true
      additionalProperties: false
    Severity:
      enum:
        - Error
        - Warning
        - Info
      type: string
  securitySchemes:
    XRevolv3Token:
      type: apiKey
      in: header
      name: x-revolv3-token

````